<template>
    <v-tabs
        fixed-tabs
        background-color="indigo darken-2"
        dark
    >
        <v-tab
            v-for="item in items"
            :key="item.text"
            :to="item.to"
        >
            {{ item.text }}
        </v-tab>
    </v-tabs>
</template>

<script>
    export default {
        name: 'UserNav',
        props: {
            id: {
                required: true
            }
        },
        computed: {
            items() {
                return [
                    { text: this.$t('info'), to: `/user/${this.id}/info` },
                    { text: this.$tc('address', 2), to: `/user/${this.id}/address` },
                    { text: this.$tc('order', 2), to: `/user/${this.id}/order` },
                    { text: this.$tc('payment', 2), to: `/user/${this.id}/payment` },
                ]
            }
        }
    }
</script>

<style scoped>
    .v-tab {
        font-weight: bold;
        text-transform: capitalize;
    }
    .v-tab[aria-selected="true"] {
        color: white !important;
    }
</style>
